How to build and run Synkron 1.6.2

Write tutorials and howtos in here
More tutorials here http://community.linuxmint.com/tutorial/welcome
Forum rules
Do not start a support topic here please, Before you post please read this

How to build and run Synkron 1.6.2

Postby crborga on Sun May 27, 2012 9:08 am

How to build and run Synkron 1.6.2 Updated 5/29/2012

Step 1 Download Squirrel Shell Source Code
Code: Select all
cd ~ && wget http://sourceforge.net/projects/squirrelsh/files/Squirrel%20Shell/1.2.6/squirrelsh-1.2.6-src.tar.bz2


Step 2 Extract and go to extracted folder
Code: Select all
tar xjvf squirrelsh-1.2.6-src.tar.bz2 && cd ~/squirrelsh-1.2.6


Step 3 Build/Install Squirrel Script
Code: Select all
sudo apt-get install build-essential libpcre3-dev && chmod +x make-debian-packages && ./make-debian-packages

Code: Select all
cd .. && sudo dpkg -i *.deb


Step 4 Download Synkron Source Code
http://sourceforge.net/projects/synkron ... z/download
Code: Select all
cd ~ && wget http://sourceforge.net/projects/synkron/files/Synkron-1.6.2-src.tar.gz


Step 5 Extract and go to extracted folder
Code: Select all
tar -zxvf Synkron-1.6.2-src.tar.gz && cd ~/Synkron-1.6.2-src


Step 6 Build/Install Synkron
Code: Select all
squirrelsh build.nut && lrelease Synkron.pro && qmake -config release && make

Code: Select all
 sudo cp ~/Synkron-1.6.2-src/synkron /usr/bin/synkron


Step 7 Run Synkron
Code: Select all
synkron &

You could even take this a step further and add it to your session startup to have it run automatically as it does have a tray option

Step 8 Optional Clean up the downloaded files
Code: Select all
cd ~ && rm -r Synkron* && rm -r squirrelsh*

Image
Image
crborga
Level 2
Level 2
 
Posts: 99
Joined: Wed Oct 27, 2010 10:09 am
Location: South Carolina, USA

Linux Mint is funded by ads and donations.
 

Re: How to build and run Synkron 1.6.2

Postby Rival82 on Sat Jul 14, 2012 3:14 pm

I would like to add that if anyone else gets the below error and an exit during the above instructions you need to install the "debhelper" app.

sudo apt-get install debhelper

error:
dh_testdir
make: dh_testdir: Command not found
make: *** [clean] Error 127
dpkg-buildpackage: error: fakeroot debian/rules clean gave error exit status 2
Rival82
Level 1
Level 1
 
Posts: 4
Joined: Wed Jul 11, 2012 1:16 am

Re: How to build and run Synkron 1.6.2

Postby Rival82 on Sat Jul 14, 2012 3:23 pm

another error i got while following this tutorial was:


Code: Select all
make: /usr/bin/uic-qt4: Command not found
make: *** [ui_mainwindow.h] Error 127


this was solved by installing libqt4-dev

Code: Select all
sudo apt-get install libqt4-dev
Rival82
Level 1
Level 1
 
Posts: 4
Joined: Wed Jul 11, 2012 1:16 am

Re: How to build and run Synkron 1.6.2

Postby flang3r on Sun Mar 17, 2013 11:53 am

I was getting this error
Code: Select all
"sni-qt/25413" WARN  15:52:19.263 void StatusNotifierItemFactory::connectToSnw() Invalid interface to SNW_SERVICE


I solved it by removing sni-qt
Code: Select all
sudo apt-get remove sni-qt


Thanks for the guide!
flang3r
Level 1
Level 1
 
Posts: 1
Joined: Sun Mar 17, 2013 11:50 am

Re: How to build and run Synkron 1.6.2

Postby banjoman on Fri Jan 17, 2014 7:24 pm

this is what I have been looking for, however I get a string of error messages before squirrel is installed, which i think say that this version doesn't like my 64bit laptop, how can I overcome this?

Code: Select all
sudo apt-get install build-essential libpcre3-dev && chmod +x make-debian-packages && ./make-debian-packages
[sudo] password for steve:
Reading package lists... Done
Building dependency tree       
Reading state information... Done
build-essential is already the newest version.
The following NEW packages will be installed
  libpcre3-dev libpcrecpp0
0 upgraded, 2 newly installed, 0 to remove and 7 not upgraded.
Need to get 283 kB of archives.
After this operation, 948 kB of additional disk space will be used.
Get:1 http://archive.ubuntu.com/ubuntu/ saucy/main libpcrecpp0 amd64 1:8.31-2 [16.5 kB]
Get:2 http://archive.ubuntu.com/ubuntu/ saucy/main libpcre3-dev amd64 1:8.31-2 [266 kB]
Fetched 283 kB in 1s (201 kB/s)       
Selecting previously unselected package libpcrecpp0:amd64.
(Reading database ... 154274 files and directories currently installed.)
Unpacking libpcrecpp0:amd64 (from .../libpcrecpp0_1%3a8.31-2_amd64.deb) ...
Selecting previously unselected package libpcre3-dev:amd64.
Unpacking libpcre3-dev:amd64 (from .../libpcre3-dev_1%3a8.31-2_amd64.deb) ...
Processing triggers for man-db ...
Setting up libpcrecpp0:amd64 (1:8.31-2) ...
Setting up libpcre3-dev:amd64 (1:8.31-2) ...
Processing triggers for libc-bin ...
./make-debian-packages: 14: ./make-debian-packages: dh_clean: not found
dpkg-buildpackage: source package squirrelsh
dpkg-buildpackage: source version 1.2.4-1
dpkg-buildpackage: source changed by Constantin Makshin <dinosaur-rus@users.sourceforge.net>
dpkg-architecture: warning: specified GNU system type i686-linux-gnu does not match gcc system type x86_64-linux-gnu, try setting a correct CC environment variable
dpkg-buildpackage: host architecture i386
 dpkg-source --before-build squirrelsh-1.2.6
dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 4)
dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
dpkg-buildpackage: warning: (Use -d flag to override.)
./make-debian-packages: 18: ./make-debian-packages: dh_clean: not found
dpkg-buildpackage: source package squirrelsh
dpkg-buildpackage: source version 1.2.4-1
dpkg-buildpackage: source changed by Constantin Makshin <dinosaur-rus@users.sourceforge.net>
dpkg-buildpackage: host architecture amd64
 dpkg-source --before-build squirrelsh-1.2.6
dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 4)
dpkg-buildpackage: warning: build dependencies/conflicts unsatisfied; aborting
dpkg-buildpackage: warning: (Use -d flag to override.)
banjoman
Level 3
Level 3
 
Posts: 105
Joined: Thu Nov 11, 2010 4:46 am


Return to Tutorials / Howtos

Who is online

Users browsing this forum: No registered users and 4 guests